<!DOCTYPE html>
<html lang="en"  xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Login to F-Junkies</title>
</head>
<body>
<div layout:fragment="content">
    <div th:if="${message != null}">
        <div class="alert alert-info">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <i class="material-icons">close</i>
            </button>
            <span th:text="${message}">This is a notification with close button.</span>
            <!--                <span>This is a notification with close button.</span>-->
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 ml-auto mr-auto">
            <div class="card">
                <div class="card-body">
                    <form action = "#" th:action = "@{/login}" th:object="${loginDTO}" method = "post">
                        <div class="form-group">
                            <label>Username</label>
                            <input type="text" class="form-control" th:field = "*{username}">
                            <small class = "error" th:errors = "*{username}">Username-related error messages will be here </small>
                        </div>
                        <div class="form-group">
                            <label>Password</label>
                            <input type="password" class="form-control" th:field = "*{password}">
                            <small class = "error" th:errors = "*{password}">Password-related error messages will be here </small>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-info" type="submit">Login</button>
                            <small class="text-muted ml-2">
<!--                                TODO implement forgot password functionality and link here-->
                                <a href="" th:href="@{/forgot_password}">Forgot Password?</a>
                            </small>
                        </div>
                    </form>
                    <div class="border-top pt-3">
                        <small class="text-muted">
                             <a class="ml-2" href="" th:href="@{/register}"> Need An Account? Sign Up Now</a>
                        </small>
                    </div>

                </div>
            </div>
        </div>
    </div>

</div>

</body>
</html>